Routes

Initiate collection

POSThttps://api.insurely.com/wealth/collection

Initiate a pension/investment data collection for a specific individual. Calling this will trigger the selected login method.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Request Body

companystring

The name of the company to trigger the collection from

A set of consents provided by the end user.

inputobject

Key-value object specifying additional input required for the collection. What values should be included depends on context.Possible keys are SWEDISH_PERSONAL_NUMBER, NORWEGIAN_PERSONAL_NUMBER, NORWEGIAN_PHONE_NUMBER,USERNAME, PASSWORD, LASTNAME, ACCOUNT_OWNER_NAME.

loginMethodstring

Login method that will be used to authenticate the user. Available login methods for a company is specified in the /companies/availability response.

Possible Enum values are SWEDISH_MOBILE_BANKID_ANY_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK, SWEDISH_MOBILE_BANKID_SAME_DEVICE, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK, SWEDISH_MOBILE_BANKID_ANY_DEVICE_TEST, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST, SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST, SWEDISH_SECURITY_TOKEN or EMAIL.

Responses

Data collection successfully initiated.

Body

companystring

Company that this collection is from

A key-value map containing potential extra information, depending on the company the collection is getting data from.

idstring

The collection ID of the request

pollingTimeoutstring[date-time]

The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.

statusstring

Current status of the collection.

Possible Enum values are RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.
cURL
curl https://api.insurely.com/wealth/collection \  -H "authorization-token: <authorization-token>" \  -H "Content-Type: application/json" \  -d '{  "company": "se-avanza",  "input": {    "SWEDISH_PERSONAL_NUMBER": "199001011234"  },  "loginMethod": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE"}' \  -X POST
RESPONSE 201
{  "company": "se-avanza",  "extraInformation": null,  "id": "22e633bc-427d-4f4a-87cf-cfaca04ef351",  "pollingTimeout": "2024-09-26T12:59:10.545Z",  "status": "RUNNING"}